# PlantHydraulics

```@meta
CurrentModule = ClimaLand.PlantHydraulics
```
## Models

```@docs
ClimaLand.PlantHydraulics.PlantHydraulicsModel
```

## Plant Hydraulics Diagnostic Variables

```@docs
ClimaLand.PlantHydraulics.effective_saturation
ClimaLand.PlantHydraulics.augmented_liquid_fraction
ClimaLand.PlantHydraulics.water_retention_curve
ClimaLand.PlantHydraulics.inverse_water_retention_curve
ClimaLand.PlantHydraulics.root_water_flux_per_ground_area!
ClimaLand.PlantHydraulics.flux
ClimaLand.PlantHydraulics.hydraulic_conductivity
```

## Plant Hydraulics Parameters

```@docs
ClimaLand.PlantHydraulics.PlantHydraulicsParameters
ClimaLand.PlantHydraulics.Weibull
ClimaLand.PlantHydraulics.LinearRetentionCurve
```

## Plant Hydraulics Methods and Types

```@docs
ClimaLand.PlantHydraulics.PrescribedSoilPressure
ClimaLand.PlantHydraulics.PrescribedTranspiration
ClimaLand.PlantHydraulics.AbstractRootExtraction
```